FakeRest - Inspired From FakeRest Gem
======================================

Provides way to Mock responses for REST requests.

### Example

`FakeRest.whenGet("/user/").thenReturnJSON("{name:raja}");`<br />


*Ready!* 
Now you can access http://localhost:8080/user/ and get the following JSON:

  `{ "name": "Raja" }`


### Alternatives:
`FakeRest.whenGet("/developer/").thenReturnText("yourTxt");`</p>

FakeRest will set the correct content type in http response.

### Testing error handling
`FakeRest.whenGet("/user/").thenReturnErrorCodeWithMessage(HttpServletResponse.SC_FORBIDDEN, "Forbidden GET");`
	
When you send a GET request do this address you get:

	`Forbidden GET`
	
... and a HTTP 403 status.

You can use any HTTP status to mock different behaviour.