#!/usr/bin/env sh
set -x  # Output executed commands
set -e  # Make script fail as soon as one command fails
if git checkout master &&
    git fetch origin master &&
    [ `git rev-list HEAD...origin/master --count` != 0 ] 
	git merge develop 
	git checkout develop 
then
    echo 'Updated!'
else
    echo 'Not updated.'
fi
